## pgvector 0.4.2

=== debian/changelog ===
pgvector (0.4.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1034391)

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Mon, 22 May 2023 17:48:01 +0200

## pgvector 0.4.4

=== Makefile ===
EXTENSION = vector
EXTVERSION = 0.4.4

MODULE_big = vector
DATA = $(wildcard sql/*--*.sql)
OBJS = src/ivfbuild.o src/ivfflat.o src/ivfinsert.o src/ivfkmeans.o src/ivfscan.o src/ivfutils.o src/ivfvacuum.o src/vector.o

TESTS = $(wildcard test/sql/*.sql)
REGRESS = $(patsubst test/sql/%.sql,%,$(TESTS))
REGRESS_OPTS = --inputdir=test --load-extension=vector

OPTFLAGS = -march=native

# Mac ARM doesn't support -march=native
ifeq ($(shell uname -s), Darwin)
	ifeq ($(shell uname -p), arm)
		# no difference with -march=armv8.5-a
		OPTFLAGS =
	endif
endif

# PowerPC doesn't support -march=native
ifneq ($(filter ppc64%, $(shell uname -m)), )
	OPTFLAGS =
endif

# For auto-vectorization:
# - GCC (needs -ftree-vectorize OR -O3) - https://gcc.gnu.org/projects/tree-ssa/vectorization.html
# - Clang (could use pragma instead) - https://llvm.org/docs/Vectorizers.html
PG_CFLAGS += $(OPTFLAGS) -ftree-vectorize -fassociative-math -fno-signed-zeros -fno-trapping-math

# Debug GCC auto-vectorization
# PG_CFLAGS += -fopt-info-vec

# Debug Clang auto-vectorization
# PG_CFLAGS += -Rpass=loop-vectorize -Rpass-analysis=loop-vectorize

all: sql/$(EXTENSION)--$(EXTVERSION).sql

sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
	cp $< $@

EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql

PG_CONFIG ?= pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# for Mac
ifeq ($(PROVE),)
	PROVE = prove
endif

# for Postgres 15
PROVE_FLAGS += -I ./test/perl

prove_installcheck:
	rm -rf $(CURDIR)/tmp_check
	cd $(srcdir) && TESTDIR='$(CURDIR)' PATH="$(bindir):$$PATH" PGPORT='6$(DEF_PGPORT)' PG_REGRESS='$(top_builddir)/src/test/regress/pg_regress' $(PROVE) $(PG_PROVE_FLAGS) $(PROVE_FLAGS) $(if $(PROVE_TESTS),$(PROVE_TESTS),test/t/*.pl)

.PHONY: dist

dist:
	mkdir -p dist
	git archive --format zip --prefix=$(EXTENSION)-$(EXTVERSION)/ --output dist/$(EXTENSION)-$(EXTVERSION).zip master

.PHONY: docker

docker:
	docker build --pull --no-cache --platform linux/amd64 -t ankane/pgvector:latest .

.PHONY: docker-release

docker-release:
	docker buildx build --push --pull --no-cache --platform linux/amd64,linux/arm64 -t ankane/pgvector:latest .
	docker buildx build --push --platform linux/amd64,linux/arm64 -t ankane/pgvector:v$(EXTVERSION) .

=== debian/changelog ===
pgvector (0.4.4-1) unstable; urgency=medium

  * Upstream Release 0.4.3
    - Improvements:
      * Improved cost estimation
      * Improved support for spaces with text representation
    - Fixes:
      * Fixed infinite and NaN values with binary representation
      * Fixed infinite values with vector addition and subtraction
      * Fixed infinite values with list centers
      * Fixed compilation error when float8 is pass by reference
      * Fixed compilation error on PowerPC
      * Fixed segmentation fault with index creation on i386
  * Upstream Release 0.4.4
    - Improvements
      * Improved error message for malformed vector literal
    - Fixes:
      * Fixed segmentation fault with text input
      * Fixed consecutive delimiters with text input

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sat, 29 Jul 2023 20:58:45 +0200

=== debian/control ===
Source: pgvector
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Bradford D. Boyle <bradford.d.boyle@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/pgvector/pgvector
Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git

Package: postgresql-15-pgvector
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Open-source vector similarity search for Postgres
 Supports exact and approximate nearest neighbor search for L2 distance, inner
 product, and cosine distance.

## pgvector 0.5.0

=== debian/changelog ===
pgvector (0.5.0-1) unstable; urgency=medium

  * Upstream Release 0.5.0
    - Features:
      * Added HNSW index type
      * Added support for parallel index builds for IVFFlat
      * Added l1_distance function
      * Added element-wise multiplication for vectors
      * Added sum aggregate
    - Improvements:
      * Improved performance of distance functions
    - Fixes:
      * Fixed out of range results for cosine distance
      * Fixed results for NULL and NaN distances for IVFFlat

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 05 Sep 2023 15:31:16 +0200

## pgvector 0.5.1

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,14 @@
 EXTENSION = vector
-EXTVERSION = 0.4.4
+EXTVERSION = 0.5.1
 
 MODULE_big = vector
 DATA = $(wildcard sql/*--*.sql)
-OBJS = src/ivfbuild.o src/ivfflat.o src/ivfinsert.o src/ivfkmeans.o src/ivfscan.o src/ivfutils.o src/ivfvacuum.o src/vector.o
+OBJS = src/hnsw.o src/hnswbuild.o src/hnswinsert.o src/hnswscan.o src/hnswutils.o src/hnswvacuum.o src/ivfbuild.o src/ivfflat.o src/ivfinsert.o src/ivfkmeans.o src/ivfscan.o src/ivfutils.o src/ivfvacuum.o src/vector.o
+HEADERS = src/vector.h
 
 TESTS = $(wildcard test/sql/*.sql)
 REGRESS = $(patsubst test/sql/%.sql,%,$(TESTS))
-REGRESS_OPTS = --inputdir=test --load-extension=vector
+REGRESS_OPTS = --inputdir=test --load-extension=$(EXTENSION)
 
 OPTFLAGS = -march=native

=== debian/changelog ===
pgvector (0.5.1-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 17 Oct 2023 16:36:19 +0200

pgvector (0.5.1-1) unstable; urgency=medium

  * New Upstream Release
    - Features:
      * Added check for MVCC-compliant snapshot for index scans
    - Improvements:
      * Improved performance of HNSW index builds

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Tue, 17 Oct 2023 16:36:19 +0200

pgvector (0.5.0-2) unstable; urgency=medium

  * Team upload for PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 17:50:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,53 @@
 Uploaders:
  Bradford D. Boyle <bradford.d.boyle@gmail.com>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  postgresql-all (>= 217~),
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pgvector/pgvector
 Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
 Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git
+
+Package: postgresql-11-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-12-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-13-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-14-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
 
 Package: postgresql-15-pgvector
 Architecture: any
@@ -22,3 +62,13 @@
 Description: Open-source vector similarity search for Postgres
  Supports exact and approximate nearest neighbor search for L2 distance, inner
  product, and cosine distance.
+
+Package: postgresql-16-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.

## pgvector 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 EXTENSION = vector
-EXTVERSION = 0.5.1
+EXTVERSION = 0.6.0
 
 MODULE_big = vector
 DATA = $(wildcard sql/*--*.sql)
@@ -65,13 +65,17 @@
 	mkdir -p dist
 	git archive --format zip --prefix=$(EXTENSION)-$(EXTVERSION)/ --output dist/$(EXTENSION)-$(EXTVERSION).zip master
 
+# for Docker
+PG_MAJOR ?= 16
+
 .PHONY: docker
 
 docker:
-	docker build --pull --no-cache --platform linux/amd64 -t ankane/pgvector:latest .
+	docker build --pull --no-cache --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:pg$(PG_MAJOR) .
+	docker build --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:$(EXTVERSION)-pg$(PG_MAJOR) .
 
 .PHONY: docker-release
 
 docker-release:
-	docker buildx build --push --pull --no-cache --platform linux/amd64,linux/arm64 -t ankane/pgvector:latest .
-	docker buildx build --push --platform linux/amd64,linux/arm64 -t ankane/pgvector:v$(EXTVERSION) .
+	docker buildx build --push --pull --no-cache --platform linux/amd64,linux/arm64 --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:pg$(PG_MAJOR) .
+	docker buildx build --push --platform linux/amd64,linux/arm64 --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:$(EXTVERSION)-pg$(PG_MAJOR) .

=== debian/changelog ===
pgvector (0.6.0-1) unstable; urgency=medium

  * New Upstream Release
    - Breaking:
      * Dropped support for Postgres 11
    - Features:
      * Added support for parallel index builds for HNSW
      * Added validation for GUC parameters
      * Added Docker tags for each supported version of Postgres
    - Improvements:
      * Improved performance of HNSW
      * Reduced memory usage for HNSW index builds
      * Reduced WAL generation for HNSW index builds
    - Fixes:
      * Fixed error with logical replication
      * Fixed invalid memory alloc request size error with HNSW index builds
    - Misc:
      * Changed storage for vector from extended to external
      * Moved Docker image to pgvector org

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Fri, 09 Feb 2024 12:11:11 +0100

=== debian/control ===
Source: pgvector
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Bradford D. Boyle <bradford.d.boyle@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/pgvector/pgvector
Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git

Package: postgresql-16-pgvector
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Open-source vector similarity search for Postgres
 Supports exact and approximate nearest neighbor search for L2 distance, inner
 product, and cosine distance.

## pgvector 0.7.2

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,19 @@
 EXTENSION = vector
-EXTVERSION = 0.6.0
+EXTVERSION = 0.7.2
 
 MODULE_big = vector
 DATA = $(wildcard sql/*--*.sql)
-OBJS = src/hnsw.o src/hnswbuild.o src/hnswinsert.o src/hnswscan.o src/hnswutils.o src/hnswvacuum.o src/ivfbuild.o src/ivfflat.o src/ivfinsert.o src/ivfkmeans.o src/ivfscan.o src/ivfutils.o src/ivfvacuum.o src/vector.o
-HEADERS = src/vector.h
+OBJS = src/bitutils.o src/bitvec.o src/halfutils.o src/halfvec.o src/hnsw.o src/hnswbuild.o src/hnswinsert.o src/hnswscan.o src/hnswutils.o src/hnswvacuum.o src/ivfbuild.o src/ivfflat.o src/ivfinsert.o src/ivfkmeans.o src/ivfscan.o src/ivfutils.o src/ivfvacuum.o src/sparsevec.o src/vector.o
+HEADERS = src/halfvec.h src/sparsevec.h src/vector.h
 
 TESTS = $(wildcard test/sql/*.sql)
 REGRESS = $(patsubst test/sql/%.sql,%,$(TESTS))
 REGRESS_OPTS = --inputdir=test --load-extension=$(EXTENSION)
 
+# To compile for portability, run: make OPTFLAGS=""
 OPTFLAGS = -march=native
 
-# Mac ARM doesn't support -march=native
+# Mac ARM doesn't always support -march=native
 ifeq ($(shell uname -s), Darwin)
 	ifeq ($(shell uname -p), arm)
 		# no difference with -march=armv8.5-a
@@ -71,11 +72,9 @@
 .PHONY: docker
 
 docker:
-	docker build --pull --no-cache --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:pg$(PG_MAJOR) .
-	docker build --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:$(EXTVERSION)-pg$(PG_MAJOR) .
+	docker build --pull --no-cache --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:pg$(PG_MAJOR) -t pgvector/pgvector:$(EXTVERSION)-pg$(PG_MAJOR) .
 
 .PHONY: docker-release
 
 docker-release:
-	docker buildx build --push --pull --no-cache --platform linux/amd64,linux/arm64 --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:pg$(PG_MAJOR) .
-	docker buildx build --push --platform linux/amd64,linux/arm64 --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:$(EXTVERSION)-pg$(PG_MAJOR) .
+	docker buildx build --push --pull --no-cache --platform linux/amd64,linux/arm64 --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:pg$(PG_MAJOR) -t pgvector/pgvector:$(EXTVERSION)-pg$(PG_MAJOR) .

=== debian/changelog ===
pgvector (0.7.2-1) unstable; urgency=medium

  * New Upstream Release
  - Fixes:
    * Fixed initialization fork for indexes on unlogged tables

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sat, 15 Jun 2024 10:59:41 +0200

pgvector (0.7.1-1) unstable; urgency=medium

  * New Upstream Release
    - Improvements:
      * Improved performance of on-disk HNSW index builds
    - Fixes:
      * Fixed `undefined symbol` error with GCC 8
      * Fixed compilation error with universal binaries on Mac
      * Fixed compilation warning with Clang < 14

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 05 Jun 2024 12:37:51 +0200

pgvector (0.7.0-1) unstable; urgency=medium

  * New Upstream Release
    - Features:
      * Added `halfvec` type
      * Added `sparsevec` type
      * Added support for indexing `bit` type
      * Added support for indexing L1 distance with HNSW
      * Added `binary_quantize` function
      * Added `hamming_distance` function
      * Added `jaccard_distance` function
      * Added `l2_normalize` function
      * Added `subvector` function
      * Added concatenate operator for vectors
      * Added CPU dispatching for distance functions on Linux x86-64
    - Improvements:
      * Updated comparison operators to support vectors with different
        dimensions

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 01 May 2024 09:56:58 +0200

pgvector (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2.
    - Improvements:
      * Reduced lock contention with parallel HNSW index builds

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 20 Mar 2024 12:07:52 +0100

pgvector (0.6.1-1) unstable; urgency=medium

  * New Upstream Release
    - Fixes:
      * Fixed error with `ANALYZE` and vectors with different dimensions
      * Fixed error with `shared_preload_libraries`
      * Fixed vector subtraction being marked as commutative

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 06 Mar 2024 09:26:29 +0100

## pgvector 0.7.4

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 EXTENSION = vector
-EXTVERSION = 0.7.2
+EXTVERSION = 0.7.4
 
 MODULE_big = vector
-DATA = $(wildcard sql/*--*.sql)
+DATA = $(wildcard sql/*--*--*.sql)
+DATA_built = sql/$(EXTENSION)--$(EXTVERSION).sql
 OBJS = src/bitutils.o src/bitvec.o src/halfutils.o src/halfvec.o src/hnsw.o src/hnswbuild.o src/hnswinsert.o src/hnswscan.o src/hnswutils.o src/hnswvacuum.o src/ivfbuild.o src/ivfflat.o src/ivfinsert.o src/ivfkmeans.o src/ivfscan.o src/ivfutils.o src/ivfvacuum.o src/sparsevec.o src/vector.o
 HEADERS = src/halfvec.h src/sparsevec.h src/vector.h
 
@@ -42,8 +43,6 @@
 sql/$(EXTENSION)--$(EXTVERSION).sql: sql/$(EXTENSION).sql
 	cp $< $@
 
-EXTRA_CLEAN = sql/$(EXTENSION)--$(EXTVERSION).sql
-
 PG_CONFIG ?= pg_config
 PGXS := $(shell $(PG_CONFIG) --pgxs)
 include $(PGXS)
@@ -53,7 +52,7 @@
 	PROVE = prove
 endif
 
-# for Postgres 15
+# for Postgres < 15
 PROVE_FLAGS += -I ./test/perl
 
 prove_installcheck:

=== debian/changelog ===
pgvector (0.7.4-2.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 14 Sep 2024 20:51:56 +0200

pgvector (0.7.4-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sat, 14 Sep 2024 20:51:56 +0200

pgvector (0.7.4-1) unstable; urgency=medium

  * New Upstream Release
    - Fixes:
      * Fixed locking for parallel HNSW index builds
      * Fixed compilation error with GCC 14 on i386 when SSE2 is not enabled

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Wed, 07 Aug 2024 18:27:27 +0200

pgvector (0.7.3-1) unstable; urgency=medium

  * New Upstream Release
    - Fixed
      * Fixed `failed to add index item` error with `sparsevec`
      * Fixed compilation error with FreeBSD ARM
      * Fixed compilation warning with MSVC and Postgres 16

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sun, 28 Jul 2024 19:34:29 +0300

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,55 @@
 Uploaders:
  Bradford D. Boyle <bradford.d.boyle@gmail.com>,
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  debhelper-compat (= 13),
- postgresql-all (>= 217~),
-Standards-Version: 4.6.2
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pgvector/pgvector
 Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
 Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git
+
+Package: postgresql-12-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-13-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-14-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
+
+Package: postgresql-15-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.
 
 Package: postgresql-16-pgvector
 Architecture: any
@@ -22,3 +64,13 @@
 Description: Open-source vector similarity search for Postgres
  Supports exact and approximate nearest neighbor search for L2 distance, inner
  product, and cosine distance.
+
+Package: postgresql-17-pgvector
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: Open-source vector similarity search for Postgres
+ Supports exact and approximate nearest neighbor search for L2 distance, inner
+ product, and cosine distance.

## pgvector 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 EXTENSION = vector
-EXTVERSION = 0.7.4
+EXTVERSION = 0.8.0
 
 MODULE_big = vector
 DATA = $(wildcard sql/*--*--*.sql)
@@ -66,7 +66,7 @@
 	git archive --format zip --prefix=$(EXTENSION)-$(EXTVERSION)/ --output dist/$(EXTENSION)-$(EXTVERSION).zip master
 
 # for Docker
-PG_MAJOR ?= 16
+PG_MAJOR ?= 17
 
 .PHONY: docker

=== debian/changelog ===
pgvector (0.8.0-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 02 Nov 2024 13:19:07 +0100

pgvector (0.8.0-1) unstable; urgency=medium

  * New Upstream Release
    - New Features:
      - Added support for iterative index scans
      - Added casts for arrays to `sparsevec`
    - Improvements:
      - Improved cost estimation for better index selection when filtering
      - Improved performance of HNSW index scans
      - Improved performance of HNSW inserts and on-disk index builds
    - Breaking:
      - Dropped support for Postgres 12

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Sat, 02 Nov 2024 13:19:07 +0100

=== debian/control ===
--- 
+++ 
@@ -14,16 +14,6 @@
 Homepage: https://github.com/pgvector/pgvector
 Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
 Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git
-
-Package: postgresql-12-pgvector
-Architecture: any
-Depends:
- ${misc:Depends},
- ${postgresql:Depends},
- ${shlibs:Depends},
-Description: Open-source vector similarity search for Postgres
- Supports exact and approximate nearest neighbor search for L2 distance, inner
- product, and cosine distance.
 
 Package: postgresql-13-pgvector
 Architecture: any

## pgvector 0.8.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 EXTENSION = vector
-EXTVERSION = 0.8.0
+EXTVERSION = 0.8.1
 
 MODULE_big = vector
 DATA = $(wildcard sql/*--*--*.sql)
@@ -76,4 +76,9 @@
 .PHONY: docker-release
 
 docker-release:
-	docker buildx build --push --pull --no-cache --platform linux/amd64,linux/arm64 --build-arg PG_MAJOR=$(PG_MAJOR) -t pgvector/pgvector:pg$(PG_MAJOR) -t pgvector/pgvector:$(EXTVERSION)-pg$(PG_MAJOR) .
+	docker buildx build --push --pull --no-cache --platform linux/amd64,linux/arm64 --build-arg PG_MAJOR=$(PG_MAJOR) --build-arg DEBIAN_CODENAME=bookworm -t pgvector/pgvector:pg$(PG_MAJOR) -t pgvector/pgvector:pg$(PG_MAJOR)-bookworm -t pgvector/pgvector:$(EXTVERSION)-pg$(PG_MAJOR) -t pgvector/pgvector:$(EXTVERSION)-pg$(PG_MAJOR)-bookworm .
+
+.PHONY: docker-release-trixie
+
+docker-release-trixie:
+	docker buildx build --push --pull --no-cache --platform linux/amd64,linux/arm64 --build-arg PG_MAJOR=$(PG_MAJOR) --build-arg DEBIAN_CODENAME=trixie -t pgvector/pgvector:pg$(PG_MAJOR)-trixie -t pgvector/pgvector:$(EXTVERSION)-pg$(PG_MAJOR)-trixie .

=== debian/changelog ===
pgvector (0.8.1-2) unstable; urgency=medium

  * Team upload for PostgreSQL 18. (Closes: #1117315)
  * Add ${postgresql:Breaks}.
  * debian/tests: Depend on postgresql-common-dev instead of 'make'.

 -- Christoph Berg <myon@debian.org>  Wed, 08 Oct 2025 19:06:20 +0200

pgvector (0.8.1-1) unstable; urgency=medium

  * New Upstream Release
    - New Features:
      - Added support for Postgres 18 rc1
    - Improvements:
      - Improved performance of `binary_quantize` function

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Fri, 05 Sep 2025 21:36:02 +0200

=== debian/control ===
Source: pgvector
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Bradford D. Boyle <bradford.d.boyle@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.2
Homepage: https://github.com/pgvector/pgvector
Vcs-Browser: https://salsa.debian.org/postgresql/pgvector
Vcs-Git: https://salsa.debian.org/postgresql/pgvector.git

Package: postgresql-18-pgvector
Architecture: any
Depends:
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Breaks:
 ${postgresql:Breaks},
Description: Open-source vector similarity search for Postgres
 Supports exact and approximate nearest neighbor search for L2 distance, inner
 product, and cosine distance.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs_loop

override_dh_installdocs:
	dh_installdocs --all README.*

# change the way tests are run:
# override_dh_pgxs_test:
#	+pg_buildext installcheck . . postgresql-%v-pgvector

# classic `pg_buildext` interface:

#include /usr/share/postgresql-common/pgxs_debian_control.mk
#
#override_dh_auto_build:
#	+pg_buildext build build-%v
#
#override_dh_auto_test:
#	# nothing to do here, see debian/tests/* instead
#
#override_dh_auto_install:
#	+pg_buildext install build-%v postgresql-%v-pgvector
#
#override_dh_installdocs:
#	dh_installdocs --all README.*
#
#override_dh_auto_clean:
#	+pg_buildext clean build-%v
#
#%:
#	dh $@

=== debian/watch ===
version=4
https://github.com/pgvector/pgvector/tags .*/v(.*).tar.gz

## pgvector 0.8.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 EXTENSION = vector
-EXTVERSION = 0.8.1
+EXTVERSION = 0.8.2
 
 MODULE_big = vector
 DATA = $(wildcard sql/*--*--*.sql)
@@ -24,6 +24,11 @@
 
 # PowerPC doesn't support -march=native
 ifneq ($(filter ppc64%, $(shell uname -m)), )
+	OPTFLAGS =
+endif
+
+# RISC-V64 doesn't support -march=native
+ifeq ($(shell uname -m), riscv64)
 	OPTFLAGS =
 endif

=== debian/changelog ===
pgvector (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Feb 2026 10:42:55 +0100
